# genesis

here is where genesis json files are gathered for launching phi chains
and how they are used.

## creating single validator genesis

```bash
# You can run all of these commands from your home directory
cd $HOME

# Initialize the genesis.json file that will help you to bootstrap the network
phid init --chain-id=testing testing

# Create a key to hold your validator account
phicli keys add validator

# Add that key into the genesis.app_state.accounts array in the genesis file
# NOTE: this command lets you set the number of coins. Make sure this account has some coins
# with the genesis.app_state.staking.params.bond_denom denom, the default is staking
phid add-genesis-account $(phicli keys show validator -a) 1000000000stake,1000000000token

# Generate the transaction that creates your validator
phid gentx --name validator

# Add the generated bonding transaction to the genesis file
phid collect-gentxs

# Now its safe to start `phid`
phid start
```

## creating 3 validator genesis

...

## creating a genesis with arbitrary number of nodes

for this one, eventually we are making a formal mainnet
